import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MsCoreMonitorLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-30 17:24
 */
interface MsCoreMonitorLogCU extends ConditionUtil<MsCoreMonitorLogCU> {
    ID: FieldUtil<MsCoreMonitorLogCU>;
    NAME: FieldUtil<MsCoreMonitorLogCU>;
    HEALTH_CHECK_URL: FieldUtil<MsCoreMonitorLogCU>;
    CREATE_USER_ID: FieldUtil<MsCoreMonitorLogCU>;
    UPDATE_USER_ID: FieldUtil<MsCoreMonitorLogCU>;
    NEXT_CHECK_TIME: FieldUtil<MsCoreMonitorLogCU>;
    LAST_CHECK_RESULT: FieldUtil<MsCoreMonitorLogCU>;
    FAILURE_COUNT: FieldUtil<MsCoreMonitorLogCU>;
    REDEPLOY_COUNT: FieldUtil<MsCoreMonitorLogCU>;
    REDEPLOY_TIME: FieldUtil<MsCoreMonitorLogCU>;
    STATE: FieldUtil<MsCoreMonitorLogCU>;
    CREATE_TIME: FieldUtil<MsCoreMonitorLogCU>;
    UPDATE_TIME: FieldUtil<MsCoreMonitorLogCU>;
    K8S_NAMESPACE: FieldUtil<MsCoreMonitorLogCU>;
    DEPLOYMENT_ID: FieldUtil<MsCoreMonitorLogCU>;
    BIZ_STATUS: FieldUtil<MsCoreMonitorLogCU>;
    K8S_ID: FieldUtil<MsCoreMonitorLogCU>;
}
declare class MsCoreMonitorLogMU extends TableUtilImpl<MsCoreMonitorLogCU, MsCoreMonitorLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MsCoreMonitorLogCU;
    static get ID(): FieldUtil<MsCoreMonitorLogCU>;
    static get NAME(): FieldUtil<MsCoreMonitorLogCU>;
    static get HEALTH_CHECK_URL(): FieldUtil<MsCoreMonitorLogCU>;
    static get CREATE_USER_ID(): FieldUtil<MsCoreMonitorLogCU>;
    static get UPDATE_USER_ID(): FieldUtil<MsCoreMonitorLogCU>;
    static get NEXT_CHECK_TIME(): FieldUtil<MsCoreMonitorLogCU>;
    static get LAST_CHECK_RESULT(): FieldUtil<MsCoreMonitorLogCU>;
    static get FAILURE_COUNT(): FieldUtil<MsCoreMonitorLogCU>;
    static get REDEPLOY_COUNT(): FieldUtil<MsCoreMonitorLogCU>;
    static get REDEPLOY_TIME(): FieldUtil<MsCoreMonitorLogCU>;
    static get STATE(): FieldUtil<MsCoreMonitorLogCU>;
    static get CREATE_TIME(): FieldUtil<MsCoreMonitorLogCU>;
    static get UPDATE_TIME(): FieldUtil<MsCoreMonitorLogCU>;
    static get K8S_NAMESPACE(): FieldUtil<MsCoreMonitorLogCU>;
    static get DEPLOYMENT_ID(): FieldUtil<MsCoreMonitorLogCU>;
    static get BIZ_STATUS(): FieldUtil<MsCoreMonitorLogCU>;
    static get K8S_ID(): FieldUtil<MsCoreMonitorLogCU>;
    get ID(): FieldUtil<MsCoreMonitorLogCU>;
    get NAME(): FieldUtil<MsCoreMonitorLogCU>;
    get HEALTH_CHECK_URL(): FieldUtil<MsCoreMonitorLogCU>;
    get CREATE_USER_ID(): FieldUtil<MsCoreMonitorLogCU>;
    get UPDATE_USER_ID(): FieldUtil<MsCoreMonitorLogCU>;
    get NEXT_CHECK_TIME(): FieldUtil<MsCoreMonitorLogCU>;
    get LAST_CHECK_RESULT(): FieldUtil<MsCoreMonitorLogCU>;
    get FAILURE_COUNT(): FieldUtil<MsCoreMonitorLogCU>;
    get REDEPLOY_COUNT(): FieldUtil<MsCoreMonitorLogCU>;
    get REDEPLOY_TIME(): FieldUtil<MsCoreMonitorLogCU>;
    get STATE(): FieldUtil<MsCoreMonitorLogCU>;
    get CREATE_TIME(): FieldUtil<MsCoreMonitorLogCU>;
    get UPDATE_TIME(): FieldUtil<MsCoreMonitorLogCU>;
    get K8S_NAMESPACE(): FieldUtil<MsCoreMonitorLogCU>;
    get DEPLOYMENT_ID(): FieldUtil<MsCoreMonitorLogCU>;
    get BIZ_STATUS(): FieldUtil<MsCoreMonitorLogCU>;
    get K8S_ID(): FieldUtil<MsCoreMonitorLogCU>;
}
export { MsCoreMonitorLogMU, MsCoreMonitorLogCU };
